Subject: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Sebastian Wiesner <[email-masked]>
Date: Mon, 23 Jun 2014 15:51:37 +0200

In a non-interactive session, i.e. "emacs -Q --batch …", `read-passwd'
currently echoes the password input on the TTY.

I would expect `read-passwd' to suppress input echo while reading a
password, like suo, sudo, SSH, GPG and similar programs do.

In my opinion, the current behaviour is harmful, because from their
experience with these programs user will likely expect that input
following a "Password: " prompt is hidden, and thus may accidentally
expose their password, being unaware that Emacs behaves differently.